CCMPB(3)

SYNOPSIS
SUBROUTINE CCMPB (N, IERROR, AN, BN, CN, B, AH, BH)

NAME
ccmpb - Subsidiary to CBLKTR

LIBRARY
SLATEC

TYPE
COMPLEX (COMPB-S, CCMPB-C)

AUTHOR
(UNKNOWN)

DESCRIPTION
CCMPB computes the roots of the B polynomials using subroutine TEVLC which is a modification the EISPACK program TQLRAT. IERROR is set to 4 if either TEVLC fails or if A(J+1)*C(J) is less than zero for some J. AH,BH are temporary work arrays.

SEE ALSO
CBLKTR

ROUTINES CALLED
CPADD, INXCB, R1MACH, TEVLC

COMMON BLOCKS
CCBLK

REVISION HISTORY (YYMMDD)
801001 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900402 Added TYPE section. (WRB)